What are the dependencies to be injected to the POM file to develop plugin for jira 5.2.5 ?

I want to develop a plugin for JIRA 5.2.5.

What are dependencies to be injected to the POM file to download jar files for jira 5.2.5. ?

Please help.

1 answer

This widget could not be displayed.

The dependencies are whatever you need to support your code.

Have you started with a project skeleton built with the Atlassian Plugin Development kit? That creates a pom which covers most of what you need for most projects, and then you only need to add the odd other one depending on what you try to do in your code.

hello Megha K Y,

that depends on the context.

If you need to add a simple plugin that should be supported for Jira 5.2.5

check for <jira.version></jira.version> and it should set to 5.2.5 or lower.

also for <amps.version></amps.version> or maven version it depends on your sdk. Generally for atlas-sdk 4.2.9 I mentioned 4.0 even you can directly give 4.2.9 I think

you can check this for your reference.

Thank you for the quick response.

This is the first time i am creating maven project so i am new to POM file.

I am developing a JQL Plugin for JIRA 5.2.5 version.

For this i created the maven project and i got the below attached POM file.

But how do i extend the POM file to download all the jar/dependencies needed for JIRA 5.2.5 version.

This is the generated POM file :

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd"><br< a="">> <modelVersion>4.0.0</modelVersion>
<groupId>com.aditjv.jira.jql.plugin</groupId>
<artifactId>aditjv-jira-jql-plugin_5.2.5</artifactId>
<packaging>jar</packaging>
<version>1.0-SNAPSHOT</version>
<name>aditjv-jira-jql-plugin_5.2.5</name>
<url>http://maven.apache.org</url>
<dependencies>
<dependency>
<groupId>junit</groupId>
<artifactId>junit</artifactId>
<version>3.8.1</version>
<scope>test</scope>
</dependency...

Please help me how do i add dependencies and what are dependencies to be added for JIRA 5.2.5.

Thank you in advance.

Regards,

Megha

if you want to develop plugin for jira then you need to install atlassian sdk on your machine

check this document for to install atlassian sdk and how to create plugin step by step

https://developer.atlassian.com/display/DOCS/Set+up+the+Atlassian+Plugin+SDK+and+Build+a+Project

check here you can get sample jql plugin

https://bitbucket.org/atlassian_tutorial/jira-simple-jql-function/src/3eda15d0252ca2313f10dce4aa8e2b54bb5ad200?at=master

you can also go through this atlassian tutorial for jql function.

As you are a beginner, you practice hello world plugin development first and learn basic tutorials.

Well, your pom looks fine. It should be already pulling in all the basic dependencies that you need, and your code will determine the others that you might need to add. (As a random example I walked into yesterday, there's no need to include a javax servlet dependency if you aren't going to use a servlet - removing the dependency simplified the plugin that was causing a problem)

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted Tuesday in Jira

What modern development practices are at the heart of how your team delivers software?

Hey Community mates! Claire here from the Software Product Marketing team. We all know software development changes rapidly, and it's often tough to keep up. But from our research, we've found the h...

150 views 1 3
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you